package com.bankaudit.dto;

public class ChecklistDto {

	private String findingCode;
	private String findingName;
	private String complianceCategory;
	
	private String standardStatement; //standard statement saved wrt observation
	private String standardStmntCompliance; //standardStmntCompliance; // standard statement for Compliance
	private String standardStmntNonCompliance; // standard statement for NonCompliance
	private String findingRemarks;
	private String remarks;
	private String groupObservationId;
	private String observationId;
	private String mappingId;
	private String observationCriticality;
	private String reference;
	private String submissionStatus;
	private String reviewNoteMakerTimestamp;
	private String flag;
	
	private String chapter;
	private String section;
	private String product;
	private String process;
	
	private String standardStmntCompliancePrint; // standard statement for Compliance Print
	private String standardStmntNonCompliancePrint; // standard statement for NonCompliance Print
	 
	private String nonCompEdit; 
	private String compEdit;
	
	private String chapterCode;
	private String sectionCode;
	private String productCode;
	private String processCode;
	private String mappingCode;
	private String unitId;
	private String unitName;
	private String auditId;
	private String auditTypeCode;
	
	private String observationDocumentCount;
	
	private String responseStatus;
	private String reviewStatus;
	private String responseRemarks;
	private String reviewRemarks;
	private String reviewStatusAttribute;
	private String lastResponseReviewRemarks;
	private String allResponseReviewRemarks;
	
	private String chapterHindi;
	private String sectionHindi;
	private String productHindi;
	private String processHindi;
	
	private String findingNameHindi;
	private String standardStmntComplianceHindi;  
	private String standardStmntNonComplianceHindi;  
	
	private String deskAssessedScore;
	private String deskEffectiveScore;	
	private String deskReviewerMakerRemarks;
	
	public String getFindingCode() {
		return findingCode;
	}
	public void setFindingCode(String findingCode) {
		this.findingCode = findingCode;
	}
	public String getFindingName() {
		return findingName;
	}
	public void setFindingName(String findingName) {
		this.findingName = findingName;
	}	
	public String getComplianceCategory() {
		return complianceCategory;
	}
	public void setComplianceCategory(String complianceCategory) {
		this.complianceCategory = complianceCategory;
	} 
	public String getStandardStatement() {
		return standardStatement;
	}
	public void setStandardStatement(String standardStatement) {
		this.standardStatement = standardStatement;
	}
	public String getStandardStmntCompliance() {
		return standardStmntCompliance;
	}
	public void setStandardStmntCompliance(String standardStmntCompliance) {
		this.standardStmntCompliance = standardStmntCompliance;
	}
	public String getStandardStmntNonCompliance() {
		return standardStmntNonCompliance;
	}
	public void setStandardStmntNonCompliance(String standardStmntNonCompliance) {
		this.standardStmntNonCompliance = standardStmntNonCompliance;
	}
	public String getFindingRemarks() {
		return findingRemarks;
	}
	public void setFindingRemarks(String findingRemarks) {
		this.findingRemarks = findingRemarks;
	}
	public String getRemarks() {
		return remarks;
	}
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	public String getGroupObservationId() {
		return groupObservationId;
	}
	public void setGroupObservationId(String groupObservationId) {
		this.groupObservationId = groupObservationId;
	}
	public String getObservationId() {
		return observationId;
	}
	public void setObservationId(String observationId) {
		this.observationId = observationId;
	}
	public String getMappingId() {
		return mappingId;
	}
	public void setMappingId(String mappingId) {
		this.mappingId = mappingId;
	}
	public String getObservationCriticality() {
		return observationCriticality;
	}
	public void setObservationCriticality(String observationCriticality) {
		this.observationCriticality = observationCriticality;
	}
	public String getReference() {
		return reference;
	}
	public void setReference(String reference) {
		this.reference = reference;
	}
	public String getChapter() {
		return chapter;
	}
	public void setChapter(String chapter) {
		this.chapter = chapter;
	}
	public String getSection() {
		return section;
	}
	public void setSection(String section) {
		this.section = section;
	}
	public String getProduct() {
		return product;
	}
	public void setProduct(String product) {
		this.product = product;
	}
	public String getProcess() {
		return process;
	}
	public void setProcess(String process) {
		this.process = process;
	}
	public String getSubmissionStatus() {
		return submissionStatus;
	}
	public void setSubmissionStatus(String submissionStatus) {
		this.submissionStatus = submissionStatus;
	}
	public String getReviewNoteMakerTimestamp() {
		return reviewNoteMakerTimestamp;
	}
	public void setReviewNoteMakerTimestamp(String reviewNoteMakerTimestamp) {
		this.reviewNoteMakerTimestamp = reviewNoteMakerTimestamp;
	}
	public String getFlag() {
		return flag;
	}
	public void setFlag(String flag) {
		this.flag = flag;
	}
	public String getStandardStmntCompliancePrint() {
		return standardStmntCompliancePrint;
	}
	public void setStandardStmntCompliancePrint(String standardStmntCompliancePrint) {
		this.standardStmntCompliancePrint = standardStmntCompliancePrint;
	}
	public String getStandardStmntNonCompliancePrint() {
		return standardStmntNonCompliancePrint;
	}
	public void setStandardStmntNonCompliancePrint(String standardStmntNonCompliancePrint) {
		this.standardStmntNonCompliancePrint = standardStmntNonCompliancePrint;
	}	
	public String getNonCompEdit() {
		return nonCompEdit;
	}
	public void setNonCompEdit(String nonCompEdit) {
		this.nonCompEdit = nonCompEdit;
	}
	public String getCompEdit() {
		return compEdit;
	}
	public void setCompEdit(String compEdit) {
		this.compEdit = compEdit;
	}
	public String getChapterCode() {
		return chapterCode;
	}
	public void setChapterCode(String chapterCode) {
		this.chapterCode = chapterCode;
	}
	public String getSectionCode() {
		return sectionCode;
	}
	public void setSectionCode(String sectionCode) {
		this.sectionCode = sectionCode;
	}
	public String getProductCode() {
		return productCode;
	}
	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}
	public String getProcessCode() {
		return processCode;
	}
	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}
	public String getMappingCode() {
		return mappingCode;
	}
	public void setMappingCode(String mappingCode) {
		this.mappingCode = mappingCode;
	}
	public String getUnitId() {
		return unitId;
	}
	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getObservationDocumentCount() {
		return observationDocumentCount;
	}
	public void setObservationDocumentCount(String observationDocumentCount) {
		this.observationDocumentCount = observationDocumentCount;
	}	
	public String getResponseStatus() {
		return responseStatus;
	}
	public void setResponseStatus(String responseStatus) {
		this.responseStatus = responseStatus;
	}
	public String getReviewStatus() {
		return reviewStatus;
	}
	public void setReviewStatus(String reviewStatus) {
		this.reviewStatus = reviewStatus;
	}
	public String getResponseRemarks() {
		return responseRemarks;
	}
	public void setResponseRemarks(String responseRemarks) {
		this.responseRemarks = responseRemarks;
	}
	public String getReviewRemarks() {
		return reviewRemarks;
	}
	public void setReviewRemarks(String reviewRemarks) {
		this.reviewRemarks = reviewRemarks;
	}
	public String getReviewStatusAttribute() {
		return reviewStatusAttribute;
	}
	public void setReviewStatusAttribute(String reviewStatusAttribute) {
		this.reviewStatusAttribute = reviewStatusAttribute;
	}
	public String getLastResponseReviewRemarks() {
		return lastResponseReviewRemarks;
	}
	public void setLastResponseReviewRemarks(String lastResponseReviewRemarks) {
		this.lastResponseReviewRemarks = lastResponseReviewRemarks;
	}
	public String getAllResponseReviewRemarks() {
		return allResponseReviewRemarks;
	}
	public void setAllResponseReviewRemarks(String allResponseReviewRemarks) {
		this.allResponseReviewRemarks = allResponseReviewRemarks;
	}
	public String getChapterHindi() {
		return chapterHindi;
	}
	public void setChapterHindi(String chapterHindi) {
		this.chapterHindi = chapterHindi;
	}
	public String getSectionHindi() {
		return sectionHindi;
	}
	public void setSectionHindi(String sectionHindi) {
		this.sectionHindi = sectionHindi;
	}
	public String getProductHindi() {
		return productHindi;
	}
	public void setProductHindi(String productHindi) {
		this.productHindi = productHindi;
	}
	public String getProcessHindi() {
		return processHindi;
	}
	public void setProcessHindi(String processHindi) {
		this.processHindi = processHindi;
	}
	public String getFindingNameHindi() {
		return findingNameHindi;
	}
	public void setFindingNameHindi(String findingNameHindi) {
		this.findingNameHindi = findingNameHindi;
	}
	public String getStandardStmntComplianceHindi() {
		return standardStmntComplianceHindi;
	}
	public void setStandardStmntComplianceHindi(String standardStmntComplianceHindi) {
		this.standardStmntComplianceHindi = standardStmntComplianceHindi;
	}
	public String getStandardStmntNonComplianceHindi() {
		return standardStmntNonComplianceHindi;
	}
	public void setStandardStmntNonComplianceHindi(String standardStmntNonComplianceHindi) {
		this.standardStmntNonComplianceHindi = standardStmntNonComplianceHindi;
	}
	public String getDeskAssessedScore() {
		return deskAssessedScore;
	}
	public void setDeskAssessedScore(String deskAssessedScore) {
		this.deskAssessedScore = deskAssessedScore;
	}
	public String getDeskEffectiveScore() {
		return deskEffectiveScore;
	}
	public void setDeskEffectiveScore(String deskEffectiveScore) {
		this.deskEffectiveScore = deskEffectiveScore;
	}
	public String getDeskReviewerMakerRemarks() {
		return deskReviewerMakerRemarks;
	}
	public void setDeskReviewerMakerRemarks(String deskReviewerMakerRemarks) {
		this.deskReviewerMakerRemarks = deskReviewerMakerRemarks;
	}	 
	 	
}
