package com.bankaudit.rest.process.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.bankaudit.process.model.RecommendationDetails;
import com.bankaudit.process.model.RiskControlDetails;
import com.bankaudit.rest.process.dao.RecommendationDetailsDao;
import com.bankaudit.rest.process.dao.RiskControlDetailsDao;

@Service
@Transactional("transactionManager")
public class RecommendationDetailsServiceImpl implements RecommendationDetailsService{
	
	@Autowired(required=true)
	RecommendationDetailsDao recommendationDetailsDao;
	
	public List<RecommendationDetails> getRecommendationDetails(Integer legalEntityCode, String auditId, String observationId, String recStatus){
		List<RecommendationDetails> recommendationDetailsLst =null;
		try {
			recommendationDetailsLst = recommendationDetailsDao.getRecommendationDetails(legalEntityCode, auditId, observationId, recStatus);
		}catch(Exception e) {
			
		}return recommendationDetailsLst;
	}

}
