package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_control_operating_eff")
public class MaintControlOperatingEffectiveness implements Serializable {
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="control_operating_eff_code")
	private String controlOperatingEffCode;
	
	@Column(name="control_operating_eff_type")
	private String controlOperatingEffType;
	
	@Column(name="control_operating_eff_desc")
	private String controlOperatingEffDesc;
	
	@Column(name="control_operating_eff_score")
	private String controlOperatingEffScore;
	
	@Column(name = "auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name = "entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getControlOperatingEffCode() {
		return controlOperatingEffCode;
	}

	public void setControlOperatingEffCode(String controlOperatingEffCode) {
		this.controlOperatingEffCode = controlOperatingEffCode;
	}

	public String getControlOperatingEffType() {
		return controlOperatingEffType;
	}

	public void setControlOperatingEffType(String controlOperatingEffType) {
		this.controlOperatingEffType = controlOperatingEffType;
	}

	public String getControlOperatingEffDesc() {
		return controlOperatingEffDesc;
	}

	public void setControlOperatingEffDesc(String controlOperatingEffDesc) {
		this.controlOperatingEffDesc = controlOperatingEffDesc;
	}

	public String getControlOperatingEffScore() {
		return controlOperatingEffScore;
	}

	public void setControlOperatingEffScore(String controlOperatingEffScore) {
		this.controlOperatingEffScore = controlOperatingEffScore;
	}

	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
}
